summaryrefslogtreecommitdiffstats
path: root/patches/source/sqlite/sqlite.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'patches/source/sqlite/sqlite.SlackBuild')
-rwxr-xr-xpatches/source/sqlite/sqlite.SlackBuild133
1 files changed, 133 insertions, 0 deletions
diff --git a/patches/source/sqlite/sqlite.SlackBuild b/patches/source/sqlite/sqlite.SlackBuild
new file mode 100755
index 000000000..9fc8156a3
--- /dev/null
+++ b/patches/source/sqlite/sqlite.SlackBuild
@@ -0,0 +1,133 @@
+#!/bin/sh
+
+# Slackware build script for sqlite
+
+# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# Copyright 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=sqlite
+VERSION=${VERSION:-$(echo $PKGNAM-src-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+OLD_STYLE=$(printf %d $(echo $VERSION | cut -b 1)).$(printf %d $(echo $VERSION | cut -b 2,3)).$(printf %d $(echo $VERSION | cut -b 4,5))
+PATCHLEVEL=$(printf %d $(echo $VERSION | cut -b 6,7))
+if [ ! "$PATCHLEVEL" = "0" ]; then
+ OLD_STYLE=${OLD_STYLE}.${PATCHLEVEL}
+fi
+BUILD=${BUILD:-1_slack14.0}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+# Enable some features:
+SLKCFLAGS="$SLKCFLAGS -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_FTS3_PARENTHESIS=1 -DSQLITE_ENABLE_COLUMN_METADATA=1 -DSQLITE_DISABLE_DIRSYNC=1 -DSQLITE_ENABLE_RTREE=1 -DSQLITE_ENABLE_STAT2=1 -DSQLITE_ENABLE_UNLOCK_NOTIFY=1 -DSQLITE_SECURE_DELETE=1"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-src-$VERSION
+tar xvf $CWD/$PKGNAM-src-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-src-$VERSION || exit 1
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+configure() {
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-threadsafe \
+ --enable-cross-thread-connections \
+ --enable-tempstore=yes \
+ --enable-load-extension \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+ return $?
+}
+
+if ! configure ; then
+ # Try regenerating configure:
+ autoconf
+ configure || exit 1
+fi
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add missed man page:
+install -D -m 0644 sqlite3.1 $PKG/usr/man/man1/sqlite3.1
+gzip -9 $PKG/usr/man/man1/sqlite3.1
+
+# Fix up the pkgconfig file
+sed -i 's|Libs: -L${libdir} -lsqlite3|Libs: -L${libdir} -lsqlite3 -ldl|g' \
+ $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/sqlite3.pc
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$OLD_STYLE
+cp -a \
+ README* VERSION \
+ $PKG/usr/doc/$PKGNAM-$OLD_STYLE
+# Add a COPYRIGHT file -- http://www.sqlite.org/copyright.html
+zcat $CWD/COPYRIGHT.gz > $PKG/usr/doc/$PKGNAM-$OLD_STYLE/COPYRIGHT
+rm -rf $PKG/usr/doc/$PKGNAM-$OLD_STYLE/CVS
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$OLD_STYLE-$ARCH-$BUILD.txz
+